NcWmsLayerMetadata (A library with several utility classes to work with geo-spatial data: WmsUrlValidator, GeoGetStyles, etc.. 1.0.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.spatial.data.geoutility.bean

## Class NcWmsLayerMetadata

- java.lang.Object
- - org.gcube.spatial.data.geoutility.bean.NcWmsLayerMetadata

- All Implemented Interfaces:
    Serializable

      public class NcWmsLayerMetadata
      extends Object
      implements Serializable

  The Class NcWmsLayerMetadata.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Dec 18, 2015
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULTPALETTE`
    `static String` | `PALETTES`
    `static String` | `SUPPORTEDSTYLES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NcWmsLayerMetadata()` Instantiates a new nc wms layer metadata.
    `NcWmsLayerMetadata(int responseCode, String defaultPalette, List<String> supportedStyles, List<String> palettes)` Instantiates a new nc wms layer metadata.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultPalette()` Gets the default palette.
    `List<String>` | `getPalettes()` Gets the palettes.
    `int` | `getResponseCode()`
    `List<String>` | `getSupportedStyles()` Gets the supported styles.
    `void` | `setDefaultPalette(String defaultPalette)` Sets the default palette.
    `void` | `setPalettes(List<String> palettes)` Sets the palettes.
    `void` | `setResponseCode(int responseCode)`
    `void` | `setSupportedStyles(List<String> supportedStyles)` Sets the supported styles.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SUPPORTEDSTYLES

          public static final String SUPPORTEDSTYLES

      See Also:
        Constant Field Values

    - #### PALETTES

          public static final String PALETTES

      See Also:
        Constant Field Values

    - #### DEFAULTPALETTE

          public static final String DEFAULTPALETTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NcWmsLayerMetadata

          public NcWmsLayerMetadata()

      Instantiates a new nc wms layer metadata.

    - #### NcWmsLayerMetadata

          public NcWmsLayerMetadata(int responseCode,
                            String defaultPalette,
                            List<String> supportedStyles,
                            List<String> palettes)

      Instantiates a new nc wms layer metadata.
      Parameters:
        `responseCode` - the response code
        `defaultPalette` - the default palette
        `supportedStyles` - the supported styles
        `palettes` - the palettes

  - ### Method Detail

    - #### getDefaultPalette

          public String getDefaultPalette()

      Gets the default palette.
      Returns:
        the defaultPalette

    - #### getSupportedStyles

          public List<String> getSupportedStyles()

      Gets the supported styles.
      Returns:
        the supportedStyles

    - #### getPalettes

          public List<String> getPalettes()

      Gets the palettes.
      Returns:
        the palettes

    - #### setDefaultPalette

          public void setDefaultPalette(String defaultPalette)

      Sets the default palette.
      Parameters:
        `defaultPalette` - the defaultPalette to set

    - #### setSupportedStyles

          public void setSupportedStyles(List<String> supportedStyles)

      Sets the supported styles.
      Parameters:
        `supportedStyles` - the supportedStyles to set

    - #### getResponseCode

          public int getResponseCode()

      Returns:
        the responseCode

    - #### setResponseCode

          public void setResponseCode(int responseCode)

      Parameters:
        `responseCode` - the responseCode to set

    - #### setPalettes

          public void setPalettes(List<String> palettes)

      Sets the palettes.
      Parameters:
        `palettes` - the palettes to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.